| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTriggerQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a pctrigger fires. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | EnableLeave ()=0
| If this function is called then the trigger will fire on 'leaves' instead of 'enters'.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pccamera or pcmesh property class on which this trigger will fire.

## Detailed Description

This interface is implemented by the trigger that fires when a pctrigger fires.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.trigger'.

In XML, factories recognize the following attributes on the 'fireon' node:

- entity: the name of the entity that contains the pctrigger property class.
- entity_tag: optional tag used to find the right property class from the entity.
- leave: if present the trigger will register on 'leaves' instead of 'enters'.

Definition at line 1123 of file questmanager.h.

## Member Function Documentation

virtual void iTriggerQuestTriggerFactory::EnableLeave | ( |  | ) | `[pure virtual]`

| If this function is called then the trigger will fire on 'leaves' instead of 'enters'.

virtual void iTriggerQuestTriggerFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

  | Set the name of the entity containing the pccamera or pcmesh property class on which this trigger will fire. Parameters:
  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h